<?php include 'includes/get_title.php'; ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <!--required meta tags-->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>About Castlo</title>

    <?php include 'includes/h_links.php'; ?>
</head>

<body>
    <script>
        // Get the current page title
        var pageTitle = document.title;

        // Display the page title
        console.log("Current Page Title: " + pageTitle);
    </script>

    <!--main content wrapper start-->
    <div class="main-wrapper">

        <?php include 'includes/header.php'; ?>

        <!--breadcrumb section start-->
        <section class="breadcrumb-section position-relative z-2 overflow-hidden mt--75" data-background="assets/img/home3/breadcrumb.webp">

            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="breadcrumb-content-wrapper text-center position-relative z-3">
                            <h1 class="text-white">About</h1>
                          
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--breadcrumb section end-->

        <section class="h3-progress pb-80 pt-80">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-xl-7">
                        <div class="h3-progress-left position-relative pe-0 pe-lg-4">
                            <img src="assets/img/home3/man.webp" alt="man" class="img-fluid" />
                            <div class="progress-counter-box position-absolute end-0 top-0 text-end pe-4">
                                <h2 class="counter-text text-primary">10<sup>+</sup></h2>
                                <span>Years of Experiencee</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-5">
                        <div class="h3-progress-right mt-50 mt-xl-0">
                            <div class="at-section-title">
                                <span class="at-subtitle lead text-secondary shape-primary position-relative">About our
                                    <mark class="bg-transparent text-primary p-0"></mark></span>
                                <h2 class="h1 mt-3 mb-3">Castlo Lubricants</h2>
                                <p>
                                    <strong>Castlo only provides premium lubricants and engine oils for utmost protection and high performance. </strong>

                                    Castlo Lubricants is a leading manufacturer and supplier of lubricants and engine oils for all types of globally recognized vehicles. We are one of the fastest-growing lubricant companies in the industry for all automotive products that are trustworthy, high-quality, and authenticated.
                                </p>

                            </div>

                            <a href="contact.html" class="btn btn-secondary">Contact</a>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="apps-section ptb-0">
            <div class="container">
                <div class="apps-content-wrapper position-relative z-1 overflow-hidden rounded">
                    <img src="assets/img/shapes/apps-bg-shape.png" alt="not found" class="position-absolute z--1 end-0 top-0">
                    <div class="row">
                        <div class="col-xxl-5 col-xl-6">
                            <div class="apps-left">
                                <h2 class="h1 mb-3">Quality</h2>
                                <p class="mb-0">We always provide the highest quality products which are cross-checked in-house by skilled individuals who are professionals in their field to provide only the safest products. We are fully transparent in our service and truly care for the wellbeing of our clients as well as staff so we put extra effort into cross-checking merchandise.</p>

                            </div>
                        </div>
                        <div class="col-xxl-7 col-xl-6 align-self-end">
                            <div class="apps-right position-relative z-1 mt-60 mt-xl-0">
                                <button class="bg-white wallet-btn shadow rounded-circle text-primary position-absolute"><i class="fa-solid fa-wallet"></i></button>
                                <button class="bg-white heart-btn shadow rounded-circle text-primary position-absolute"><i class="fa-solid fa-heart"></i></button>

                                <img src="assets/img/home3/quality.webp" alt="car" class="img-fluid">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section class="sr-feature-section ptb-120 position-relative overflow-hidden z-1 bg-white">
            <span class="primary-blur rounded-circle position-absolute start-0 top-0 z--1"></span>
            <span class="yellow-blur rounded-circle position-absolute end-0 bottom-0 z--1"></span>
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xl-6 col-lg-8">
                        <div class="section-title text-center">
                            <h2 class="h1">Why Us ?</h2>
                        </div>
                    </div>
                </div>
                <div class="mt-5">
                    <div class="row justify-content-center align-items-center">
                        <div class="col-xl-4 col-lg-6">
                            <div class="sr-feature-content">
                                <ul class="sr-ft-list">
                                    <li>
                                        <span class="icon-wrapper d-inline-flex align-items-center justify-content-center rounded-circle bg-white"><i class="flaticon-shield"></i></span>
                                        <div class="sr-ft-list-content text-end bg-white rounded">
                                            <h6>Highest Quality Product Range</h6>

                                        </div>
                                    </li>
                                    <li>
                                        <span class="icon-wrapper d-inline-flex align-items-center justify-content-center rounded-circle bg-white"><i class="flaticon-shield"></i></span>
                                        <div class="sr-ft-list-content text-end bg-white rounded">
                                            <h6>Trustworthy And Authenticated</h6>

                                        </div>
                                    </li>
                                    <li>
                                        <span class="icon-wrapper d-inline-flex align-items-center justify-content-center rounded-circle bg-white"><i class="flaticon-shield"></i></span>
                                        <div class="sr-ft-list-content text-end bg-white rounded">
                                            <h6>Affordable</h6>

                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-xl-4 d-none d-xl-block">
                            <div class="car-wrapper">
                                <img src="assets/img/home3/car-with-oil.png" alt="car" class="img-fluid">
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-6">
                            <div class="sr-feature-content">
                                <ul class="sr-ft-list">
                                    <li>
                                        <span class="icon-wrapper icon-left d-inline-flex align-items-center justify-content-center rounded-circle bg-white"><i class="flaticon-shield"></i></span>
                                        <div class="sr-ft-list-content icon-left bg-white rounded">
                                            <h6>Unmatched Customer Service</h6>

                                        </div>
                                    </li>
                                    <li>
                                        <span class="icon-wrapper icon-left d-inline-flex align-items-center justify-content-center rounded-circle bg-white"><i class="flaticon-shield"></i></span>
                                        <div class="sr-ft-list-content icon-left bg-white rounded">
                                            <h6>Superior Technical Knowledge</h6>

                                        </div>
                                    </li>
                                    <li>
                                        <span class="icon-wrapper icon-left d-inline-flex align-items-center justify-content-center rounded-circle bg-white"><i class="flaticon-shield"></i></span>
                                        <div class="sr-ft-list-content icon-left bg-white rounded">
                                            <h6>Comprehensive Catalogue</h6>

                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!--service section start-->
        <section class="sr-service-section ptb-120">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xl-6 col-lg-8">
                        <div class="sr-section-title text-center mb-5">
                            <h2 class="h1 mb-4"><span class="text-primary shape-primary">Products &</span> Applications</h2>

                        </div>
                    </div>
                </div>
                <div class="row justify-content-center g-4">
                    <div class="col-xl-4 col-lg-6 col-sm-10">
                        <div class="sr-service-single rounded-top bg-white rounded overflow-hidden">
                            <div class="feature-img overflow-hidden">
                                <img src="assets/img/home3/products-applications/af6c3218492366b7af9ce0f997fedd39.jpg" alt="not found" class="img-fluid">
                            </div>
                            <div class="sr-service-content position-relative pt-5 pb-30 px-4">

                                <a href="products-applications" class="title">
                                    <h3 class="h4 mb-3">Air Compressors</h3>
                                </a>
                                <p style="font-size:15px"><strong>Lubricants For Reciprocating Compressors, Rotary Screw Compressors And Centrifugal Units Used In Oil & Gas</strong>
                                   
                                </p>
                            </div>

                        </div>
                    </div>


                    <div class="col-xl-4 col-lg-6 col-sm-10">
                        <div class="sr-service-single rounded-top bg-white rounded overflow-hidden">
                            <div class="feature-img overflow-hidden">
                                <img src="assets/img/home3/products-applications/gas.jpg" alt="not found" class="img-fluid">
                            </div>
                            <div class="sr-service-content position-relative pt-5 pb-30 px-4">

                                <a href="products-applications" class="title">
                                    <h3 class="h4 mb-3">Gas Compressors</h3>
                                </a>
                                <p style="font-size:15px"><strong>Dynamic compressors and reciprocating compressors are widely used within the offshore industry</strong>
                                    
                            </div>

                        </div>
                    </div>


                    <div class="col-xl-4 col-lg-6 col-sm-10">
                        <div class="sr-service-single rounded-top bg-white rounded overflow-hidden">
                            <div class="feature-img overflow-hidden">
                                <img src="assets/img/home3/products-applications/di-en.jpg" alt="not found" class="img-fluid">
                            </div>
                            <div class="sr-service-content position-relative pt-5 pb-30 px-4">

                                <a href="products-applications" class="title">
                                    <h3 class="h4 mb-3">Diesel Engines</h3>
                                </a>
                                <p style="font-size:15px"><strong>Diesel engines are an important piece of equipment on all offshore assets</strong>
                                    
                                </p>
                            </div>

                        </div>
                    </div>

                    <a href="products-applications" class="btn btn-primary " style="width:40%;">Read More<span class="ms-2"><i class="fa-solid fa-arrow-right"></i></span></a>


                </div>
            </div>
        </section>
        <!--service section end-->

        <!--feature section start-->


        <!--feature section end-->

        <!--rental deals-->
        <section class="rental-deals ptb-120">
            <div class="container">
                <div class="row justify-content-between">
                    <div class="col-xxl-8 col-xl-8 col-lg-8 order-2 order-lg-1">
                        <div class="deals-left pe-sm-3 mt-5 mt-lg-0">
                            <div class="title-style-2">

                                <h2 class="h1">OIL & GAS</h2>

                            </div>
                            <h5 class="mb-1">Finding new ways to improve your operational eficiency</h5>
                            <p class="mb-0">Oil & Gas exploration and production industry aims to contribute to the globally growing energy demand in an ever challenging environment. Whilst the tightening regulatory, environmental and macro-economic landscape add to the complexity, Castlo continue to advance with new lubrication solutions engineered to support new industry technologies and OEM designs enabling asset integrity and reliability.


                                We are right here with you when it matters: helping you optimize operating and new build assets by finding incremental gains wherever we collaboratively identify value. Our engineers have a deep understanding of offshore and onshore applications and their operating parameters, and we understand the significant costs of equipment failure. So we focus our expertise on custom-built lubrication schedules and comprehensive technical recommendations supported by advanced analytics. We believe in close cooperation with all industry stakeholders to help you mitigate risks and achieve maximum productivity with the intent of reducing the total cost of ownership.



                                A systematic process called Castlo SmartGains is at the heart of our services and select lubrication solutions meeting your business needs.</p>
                            <br>
                            <a href="car-rental.html" class="btn btn-primary">Quick View<span class="ms-2"><i class="fa-solid fa-arrow-right"></i></span></a>
                            <a href="car-rental.html" class="btn btn-primary">Contact Us<span class="ms-2"><i class="fa-solid fa-arrow-right"></i></span></a>
                        </div>
                    </div>
                    <div class="col-xl-4 col-lg-4 align-self-center order-1 order-lg-2">
                        <div class="deals-right">
                            <img src="assets/img/home3/oil-gas.webp" alt="not found" class="img-fluid">
                        </div>
                    </div>

                </div>

            </div>
        </section>
        <!--rental deals end-->



        <!--footer section start-->
        <footer class="footer-section">
            <div class="footer-wrapper pt-120 position-relative z-1 overflow-hidden" data-background="assets/img/shapes/texture-bg.png">
                <div class="container">
                    <div class="row justify-content-between">
                        <div class="col-xl-5 col-lg-5">
                            <div class="footer-widget widget-basic">
                                <h3 class="widget-title-large mb-4 text-white">Have a Question? Feel Free to Ask..Feedback</h3>
                                <p class="mb-40">Compellingly expedite mission-critical methodologies and integrated readiness without quality intellectual capital.</p>
                                <div class="phone-box d-flex align-items-center">
                                    <span class="icon-wrapper d-inline-flex align-items-center justify-content-center rounded-circle bg-primary text-white"><i class="flaticon-phone-call"></i></span>
                                    <h4 class="text-white ms-3 mb-0">+978-9674-4455</h4>
                                </div>
                                <div class="sb-form mt-40">
                                    <h5 class="text-white mb-4">Get latest updates & offers</h5>
                                    <form class="footer-sb-form position-relative">
                                        <input type="email" placeholder="Enter your email..." class="bg-white w-100">
                                        <button type="submit" class="btn btn-primary">Subscribe</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-7">
                            <div class="ms-lg-5 ms-xl-0 mt-5 mt-lg-0">
                                <div class="row align-items-center">
                                    <div class="col-6">
                                        <a href="index.html" class="footer-logo d-inline-block"><img src="assets/img/logo.png" alt="logo"></a>
                                    </div>
                                    <div class="col-6">
                                        <div class="text-end">
                                            <div class="footer-social d-inline-block text-start">
                                                <h6 class="text-white">Follow us on</h6>
                                                <ul class="footer-social-list">
                                                    <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                                                    <li><a href="#"><i class="fab fa-linkedin"></i></a></li>
                                                    <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                                                    <li><a href="#"><i class="fab fa-behance"></i></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mt-30">
                                    <div class="col-sm-4">
                                        <div class="footer-widget footer-nav-widget mb-5 mb-sm-0">
                                            <h6 class="widget-title text-white mb-3">About Company</h6>
                                            <ul class="footer-nav">
                                                <li><a href="#">Our Company</a></li>
                                                <li><a href="#">Shop Toyota</a></li>
                                                <li><a href="#">Autohive USA</a></li>
                                                <li><a href="#">Autohive Worldwide</a></li>
                                                <li><a href="#">Autohive Racing</a></li>
                                                <li><a href="#">TRD USA</a></li>
                                                <li><a href="#">Autohive Plant Tours</a></li>
                                                <li><a href="#">Virtual Auto Show</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="footer-widget footer-nav-widget mb-5 mb-sm-0">
                                            <h6 class="widget-title text-white mb-3">Vehicles Type</h6>
                                            <ul class="footer-nav">
                                                <li><a href="#">All Autohive Vehicles</a></li>
                                                <li><a href="#">SUVs</a></li>
                                                <li><a href="#">Trucks</a></li>
                                                <li><a href="#">Cars</a></li>
                                                <li><a href="#">Crossovers</a></li>
                                                <li><a href="#">Electrified Vehicles</a></li>
                                                <li><a href="#">Hybrids</a></li>
                                                <li><a href="#">Hybrid SUVs</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="footer-widget footer-nav-widget mb-5 mb-sm-0">
                                            <h6 class="widget-title text-white mb-3">Quick links</h6>
                                            <ul class="footer-nav">
                                                <li><a href="#">My account</a></li>
                                                <li><a href="#">Champaigns</a></li>
                                                <li><a href="#">Autohive Dealers</a></li>
                                                <li><a href="#">Deals and Incentives</a></li>
                                                <li><a href="#">Financial Services</a></li>
                                                <li><a href="#">Autohive Insurance</a></li>
                                                <li><a href="#">Autohive Care</a></li>
                                                <li><a href="#">FAQs & support</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="footer-copyright">
                    <div class="container">
                        <div class="row align-items-center">
                            <div class="col-sm-7">
                                <div class="copyright-text">
                                    <p class="mb-0">&copy; All rights reserved. Made by <a href="index.html">ThemeTags</a></p>
                                </div>
                            </div>
                            <div class="col-sm-5">
                                <div class="copyright-links text-start text-sm-end mt-1 mt-sm-0">
                                    <a href="#">Terms of use</a>
                                    <a href="#">Privacy policy</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
        <!--footer section end-->

    </div>
    <!-- main content wrapper ends -->


    <!-- Modal -->
    <div class="modal fade" id="at_product_view">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content product_modal shadow">
                <div class="close-btn-wrapper text-end">
                    <button class="btn-close" data-bs-dismiss="modal"></button>
                </div>
                <div class="at_product_view">
                    <div class="row align-items-center">
                        <div class="col-md-6">
                            <div class="product_view_slider">
                                <div class="product_feature_img_slider swiper">
                                    <div class="swiper-wrapper">
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-1.jpg" alt="feature img" class="img-fluid">
                                        </div>
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-1.jpg" alt="feature img" class="img-fluid">
                                        </div>
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-1.jpg" alt="feature img" class="img-fluid">
                                        </div>
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-1.jpg" alt="feature img" class="img-fluid">
                                        </div>
                                    </div>
                                </div>
                                <div class="product_thumb_slider swiper mt-3">
                                    <div class="swiper-wrapper">
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-thumb-1.png" alt="thumbnail" class="img-fluid">
                                        </div>
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-thumb-1.png" alt="thumbnail" class="img-fluid">
                                        </div>
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-thumb-1.png" alt="thumbnail" class="img-fluid">
                                        </div>
                                        <div class="swiper-slide">
                                            <img src="assets/img/home4/pd-thumb-1.png" alt="thumbnail" class="img-fluid">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="product_view_right mt-4 mt-md-0">
                                <ul class="product_review d-flex align-items-center">
                                    <li><i class="fa-solid fa-star"></i></li>
                                    <li><i class="fa-solid fa-star"></i></li>
                                    <li><i class="fa-solid fa-star"></i></li>
                                    <li><i class="fa-solid fa-star"></i></li>
                                    <li><i class="fa-solid fa-star"></i></li>
                                    <li class="review-total ms-2 text-primary fw-semibold"><a href="#">( 95 Reviews )</a></li>
                                </ul>
                                <h5 class="product_title mt-3">Aluminium Wheel AR-19 <br> Tire Parts</h5>
                                <p>Monotonectally simplify frictionless communities via clicks-and-mortar Interactively disseminate relationships. </p>
                                <ul class="key_features">
                                    <li>Speed: 750 RPM</li>
                                    <li>Power Source: Cordless-Electric</li>
                                    <li>Battery Cell Type: Lithium</li>
                                    <li>Voltage: 20 Volts</li>
                                    <li>Battery Capacity: 2 Ah</li>
                                </ul>
                                <div class="product_color_select mt-3">
                                    <span class="title text-secondary fw-semibold">Color</span>
                                    <ul class="d-flex align-items-center">
                                        <li>
                                            <input type="radio" name="color">
                                            <span class="color_circle bg-white border border-1"></span>
                                        </li>
                                        <li>
                                            <input type="radio" name="color">
                                            <span class="color_circle black-color bg-secondary"></span>
                                        </li>
                                        <li>
                                            <input type="radio" name="color">
                                            <span class="color_circle red-color bg-primary"></span>
                                        </li>
                                        <li>
                                            <input type="radio" name="color">
                                            <span class="color_circle bg-warning"></span>
                                        </li>
                                    </ul>
                                </div>
                                <div class="product_price mt-4">
                                    <del class="fw-semibold">$59.00</del>
                                    <span class="text-primary fw-semibold ms-2">$29.00</span>
                                </div>
                                <div class="add_to_cart_product d-flex align-items-center mb-4 mt-3">
                                    <form class="d-inline-flex align-items-center">
                                        <button type="button" class="decrement btn-sm">-</button>
                                        <input type="text" value="01">
                                        <button type="button" class="increment btn-sm">+</button>
                                    </form>
                                    <a href="#" class="btn btn-secondary btn-sm"><span class="me-1"><i class="fa-solid fa-cart-plus"></i></span>Add To Cart</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--scrolltop button-->
    <button class="theme-scrolltop-btn"><i class="fa-regular fa-hand-pointer"></i></button>
    <!--scrolltop button end-->

    <!--build:js-->
    <script src="assets/js/vendors/jquery.min.js"></script>
    <script src="assets/js/vendors/jquery-ui.min.js"></script>
    <script src="assets/js/vendors/appear.js"></script>
    <script src="assets/js/vendors/popper.min.js"></script>
    <script src="assets/js/vendors/bootstrap.min.js"></script>
    <script src="assets/js/vendors/easing.min.js"></script>
    <script src="assets/js/vendors/swiper.min.js"></script>
    <script src="assets/js/vendors/massonry.min.js"></script>
    <script src="assets/js/vendors/bootstrap-slider.js"></script>
    <script src="assets/js/vendors/magnific-popup.js"></script>
    <script src="assets/js/vendors/waypoints.js"></script>
    <script src="assets/js/vendors/counterup.js"></script>
    <script src="assets/js/vendors/isotop.pkgd.min.js"></script>
    <script src="assets/js/vendors/moment.min.js"></script>
    <script src="assets/js/vendors/date-picker.min.js"></script>
    <script src="assets/js/vendors/progressbar.js"></script>
    <script src="assets/js/vendors/slick.js"></script>
    <script src="assets/js/vendors/countdown.min.js"></script>
    <script src="assets/js/vendors/custom-scrollbar.js"></script>
    <script src="assets/js/vendors/price-range.js"></script>
    <script src="assets/js/vendors/image-rotate.min.js"></script>
    <script src="assets/js/app.js"></script>
    <!--endbuild-->
</body>

</html>